# Get Product Types

## Get Product Types

The Get Product Types API allows an organization to get the list of permitted product type names to which it has access.

## Input Parameters:

| Name       | Required | Definition          | Comments |
| ---------- | -------- | ------------------- | -------- |
| CardNumber | Y        | Format: Numeric, 16 |          |

## Output Parameters:

| Name            | Definition                                                                                                                                                                                                                                                                                                             | Failure Case | Success Case | Comments                                                 |
| --------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------ | ------------ | -------------------------------------------------------- |
| ProductTypeName | <p>Format: Alphanumeric, 1-120<br>Description: Each sub program in Praxell consists of one or more product types. A product type is a set of attributes that are applied to the cards that belong to this product type. The ProductTypeName field is the name of the product used when creating and issuing cards.</p> | Not returned | Returned     | Returned as part of ProductTypesList/ProductTypeName tag |

## XML Samples

### Input XML

```json
<?xml version="1.0"?>
<PraxellXMLRequest>
  <AuthenticationDetails>
    <UserName>ZZ_QA_Test1_FBZ</UserName>
    <UserPassword>1q2w3e4r</UserPassword>
    <ClientSourceIP></ClientSourceIP> 
 </AuthenticationDetails>;
  <ServiceDetails>
    <UniqueRequestId>1066072</UniqueRequestId>
    <ServiceName>GetProductTypes</ServiceName>
  </ServiceDetails>
  <Origin>
    <OriginType>ExtAPI</OriginType>
  </Origin>
  <ServiceParams>
    <CardNumber></CardNumber>
  </ServiceParams>
</PraxellXMLRequest>
```

```json
<?xml version="1.0" ?>
 <PraxellXMLResponse>
<ResponseDetails>
  <ServiceName>GetProductTypes</ServiceName>
  <SessionId>29832207200848035</SessionId>
  <StatusCode>0</StatusCode>
  <StatusName>StatusOK</StatusName>
  <StatusDescription>NA</StatusDescription>
  <ServiceDate>2008-03-11 07:48:59</ServiceDate>
  <ServiceId>29832207200848035</ServiceId>
  </ResponseDetails> 
  <ResponseParams> 
    <ProductTypesList>
     <ProductTypeName></ProductTypeName>
     <ProductTypeName></ProductTypeName>
     <ProductTypeNam></ProductTypeName>
     <ProductTypeName></ProductTypeName>
     <ProductTypeName></ProductTypeName>
   </ProductTypesList>
  </ResponseParams>
</PraxellXMLResponse>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
  <ResponseDetails>
    <ServiceName>GetProductTypes</ServiceName>
    <SessionId>07071612200737105</SessionId>
    <StatusCode>70029</StatusCode>
    <StatusName>Data not found (cardholder not found)</StatusName>
    <StatusDescription>Data not found (cardholder not found)</StatusDescription>
    <ServiceDate>2021-10-01 12:37:50</ServiceDate>
    <ServiceId>07071612200737105</ServiceId>
  </ResponseDetails>
  <ResponseParams>
  </ResponseParams>
</PraxellXMLResponse>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.juicefin.com/apis/administration/get-product-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
